curl --request PUT \
--url https://api.consumer.younegotiate.com/accounts/{consumer}/notice-response/sender \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"terms_and_conditions": true,
"sender_type": "company",
"sender_id": 15,
"company_name": "Manual Sender",
"company_phone": "9005091111",
"company_address1": "123 Sender St",
"company_address2": "Suite 10",
"company_city": "Dallas",
"company_state": "TX",
"company_zip": "75001",
"company_email": "manual-sender@example.com",
"company_url": "https://manual-sender.test"
}
'import requests
url = "https://api.consumer.younegotiate.com/accounts/{consumer}/notice-response/sender"
payload = {
"terms_and_conditions": True,
"sender_type": "company",
"sender_id": 15,
"company_name": "Manual Sender",
"company_phone": "9005091111",
"company_address1": "123 Sender St",
"company_address2": "Suite 10",
"company_city": "Dallas",
"company_state": "TX",
"company_zip": "75001",
"company_email": "manual-sender@example.com",
"company_url": "https://manual-sender.test"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
terms_and_conditions: true,
sender_type: 'company',
sender_id: 15,
company_name: 'Manual Sender',
company_phone: '9005091111',
company_address1: '123 Sender St',
company_address2: 'Suite 10',
company_city: 'Dallas',
company_state: 'TX',
company_zip: '75001',
company_email: 'manual-sender@example.com',
company_url: 'https://manual-sender.test'
})
};
fetch('https://api.consumer.younegotiate.com/accounts/{consumer}/notice-response/sender', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"account": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"dob": "2023-12-25",
"last4ssn": "1234",
"company_id": 123,
"status": "joined",
"status_label": "Ready to Negotiate"
},
"completed_steps": [
"sender_details",
"account_details"
],
"steps": [
{
"label": "Sender Details",
"completed": true,
"current": true
}
],
"response_options": {
"negotiation_types": [
{
"value": "pif",
"label": "Settlement"
},
{
"value": "installment",
"label": "Payment Plan"
}
],
"installment_types": [
{
"value": "weekly",
"label": "Weekly"
},
{
"value": "bimonthly",
"label": "Bimonthly"
},
{
"value": "monthly",
"label": "Monthly"
}
],
"custom_offer_reasons": [
"Prefer not to say",
"UnEmployed",
"Death in the Family",
"Unexpected Expenses"
]
},
"sender_detail": {
"id": 123,
"sender": {
"id": 123,
"company_name": "Acme Collections",
"company_phone": "(900) 509-1111",
"company_email": "jsmith@example.com",
"company_address1": "<string>",
"company_address2": "<string>",
"company_city": "<string>",
"company_state": "<string>",
"company_zip": "<string>",
"company_url": "<string>"
}
},
"notice_response": {
"id": 123,
"account_name": "<string>",
"account_number": "<string>",
"notice_balance": "425.50",
"status": 123,
"status_label": "<string>",
"reason_label": "<string>",
"file_path": "notice-responses/123/notice.jpg",
"file_url": "<string>",
"has_notice_photo": true,
"custom_offer": {
"amount": "125.00",
"first_pay_date": "2023-12-25",
"reason": "<string>",
"note": "<string>"
}
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"code": "profile_incomplete",
"message": "Please complete your communication profile before viewing accounts.",
"required_steps": [
"profile_communication"
]
}{
"message": "<string>",
"errors": {}
}Save notice response sender
Save the sender-details step for an owned notice-response account. Pass sender_type and sender_id to use a searched sender, or omit both and pass the company fields to create a manual creditor profile.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Consumer account ID.
Body
Must be accepted before sender details are saved.
true
Present when the frontend uses a searched sender row.
company, creditor_profile "company"
ID from GET /notice-responses/senders. Required with sender_type.
15
Required when creating a manual sender instead of using sender_type/sender_id.
3 - 30"Manual Sender"
255"9005091111"
255"123 Sender St"
255"Suite 10"
255"Dallas"
"TX"
^\d{5}(?:-\d{4})?$"75001"
255"manual-sender@example.com"
URL is normalized to https:// when the scheme is omitted.
255"https://manual-sender.test"
Was this page helpful?

